> For the complete documentation index, see [llms.txt](https://docs.omics.ai/products/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.omics.ai/products/command-line-interface/reference/workbench/workflows-versions-defaults-describe.md).

# workflows versions defaults describe

## Synopsis

### Describe Workflow Defaults

```shell
omics workbench workflows versions defaults describe DEFAULT_ID [DEFAULT_ID ...]
  [--workflow=WORKFLOW_ID]
  [--version=VERSION_ID]
  [--namespace=NAMESPACE]
```

## Description

Describe workflow defaults for one or more given default IDs. This command returns detailed information about each specified workflow default.

## Examples

Describe a single workflow default by its ID:

```shell
omics workbench workflows versions defaults describe default-id-1
```

Describe multiple workflow defaults by their IDs:

```shell
omics workbench workflows versions defaults describe default-id-1 default-id-2 default-id-3
```

## Positional Arguments

### `DEFAULT_ID`=`STRING`

One or more IDs of the workflow defaults to be described. This positional argument is required.

## Flags

### `--namespace`=`STRING`

An optional flag to define the namespace to connect to. By default, the namespace is extracted from the user's credentials.

### `--workflow`=`STRING`

The ID of the workflow for which the defaults will be described.

### `--version`=`STRING`

The ID of the workflow version for which the defaults will be described.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.omics.ai/products/command-line-interface/reference/workbench/workflows-versions-defaults-describe.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
